Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class HSQLCaseFragment

    java.lang.Object
      org.hibernate.sql.CaseFragment
          org.hibernate.sql.HSQLCaseFragment

    public class HSQLCaseFragment

extends CaseFragment

The HSQL CASEWHEN function.
`casewhen(..., ..., ...) as ...`

Field Summary

Fields inherited from class org.hibernate.sql.CaseFragment
`cases, returnColumnName`

Constructor Summary
`HSQLCaseFragment()`

Method Summary
`String` | `toFragmentString()`

Methods inherited from class org.hibernate.sql.CaseFragment
`addWhenColumnNotNull, setReturnColumnName, setReturnColumnName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLCaseFragment

    public HSQLCaseFragment()

Method Detail

### toFragmentString

    public String toFragmentString()

  Specified by:
    `toFragmentString` in class `CaseFragment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.